/*
 *	bootrec.h
 */

#ifndef _BOOTREC_
#define _BOOTREC_

/*
 *	boot control structure.
 *	sized to fit in 256 bit EEPROM
 */

#define BO_BOVER 100	/* Version number */

struct	bootrec	{
	unsigned char	bo_bover,bo_bosz,bo_baud,bo_blev ;
	dev_t	bo_bdev,bo_rdev,bo_swdev,bo_pdev ;
	short	bo_tzone ;
	short	bo_free;	/* Not used */
	long	bo_cpufrq ;
	char	bo_pad[10];	/* Free space */
	char	bo_dst;		/* Daylight savings flag */
	char	bo_chsum;	/* Checksum */
} ;

#endif _BOOTREC_
