/*
 *	core.h
 */

#ifndef _CORE_
#define _CORE_

/*					*/
/*	Core info in UPAGE part of	*/
/*	core file.			*/
/*					*/

struct	core	{	/* Info used by ADB at inspection of core dump */
	struct core *c_addr;	/* Address of upage */
	short	c_utwist;	/* Part of upage before c_addr */
	short	c_ubytes;	/* Total upage size before and after c_addr */
	short	c_signum;	/* Signal causing core dump */
	long	c_txtsiz;	/* Text size in bytes */
	long	c_datsiz;	/* Impure size in bytes */
	long	c_stksiz;	/* Stack size in bytes */
	laddr_t	c_stktop;	/* First address after stack top */
	int	*c_ar0;		/* Pointer to saved R0 */
};

#endif _CORE_
