/*
 *	ireq.h
 */

#ifndef _IREQ_
#define _IREQ_

struct ireq {			/* structure of incoming request */
	short	ir_fc;		/* function code */
	short	ir_rn;		/* request number */
	int	ir_opid;	/* own id that you gave on open or mount */
	int	ir_bc;		/* byte count */
	int	ir_upar;	/* User parameter */
	long	ir_rad;		/* random address */
	short	ir_uid;		/* user id */
	short	ir_gid;		/* user group */
	time_t	ir_time;	/* Request time */
	unsigned long	ir_nph;
	unsigned long	ir_npl;	/* Node and process id */
	};

/*
 *	Structure for handler information in request
 */

struct hireq {
	int	hir_1;
	int	hir_2;
	int	hir_3;
	int	hir_4;
};

/*
 *	Structure for combined ireq and hireq
 */

struct ireq_hireq {
	struct ireq	irpa;
	struct hireq	hirpa;
};

#endif _IREQ_
