/*
 *	osconfig.h
 */

#ifndef _OSCONFIG_
#define _OSCONFIG_

/*
 *	Structure holding os configuration parameters
 *	"rfh" stands for "root file handler"
 */

struct	osconfig {
	unsigned short	oc_ntnod;	/* Number of tcb nodes */
	unsigned short	oc_ntad;	/* Number of tad nodes */
	unsigned short	oc_nnod;	/* Number of nodes */
	unsigned short	oc_nbuf;	/* Number of buffers for rfh */
	unsigned short	oc_nofid;	/* Number of open files in rfh */
	unsigned short	oc_nlock;	/* Number of file locks in rfh */
	unsigned short 	oc_nvol;	/* Number of mounted volumes on rfh */
	unsigned short	oc_nvpage;	/* Number of virtual pages */
	unsigned short	oc_nmsg;	/* Number of message queues */
	unsigned short	oc_nsem;	/* Number of semaphore id's */
	unsigned short	oc_nsadj;	/* Number of sem adjust operations */
	unsigned short	oc_nshm;	/* Number of shared memory segs */
	unsigned short	oc_nashm;	/* Number of attached memory segs */
};

#endif _OSCONFIG_
