/*
 *	msg.h
 */

#ifndef _MSG_
#define _MSG_

/*
 *	Message handling structures
 */

struct msqid_ds {
	struct ipc_perm	msg_perm;	/* Permissions */
	ushort		msg_qnum;	/* # of messages on q */
	ushort		msg_qbytes;	/* max # of bytes on q */
	ushort		msg_lspid;	/* pid of last msgsnd */
	ushort		msg_lrpid;	/* pid of last msgrcv */
	time_t		msg_stime;	/* last msgsnd time */
	time_t		msg_rtime;	/* last msgrcv time */
	time_t		msg_ctime;	/* last change time */
};


/*
 *	Message buffer
 */

struct msgbuf {
	long	mtype;		/* Message type */
	char	mtext[1];	/* message text */
};

#define MSG_NOERROR	1	/* no error if big message */

#endif _MSG_
