/*
 *	syscall.h	1.1
 */

#ifndef _SYSCALL_
#define _SYSCALL_

/*		0*/
#define	TEXIT		1
#define	TFORK		2
#define	TREAD		3
#define	TWRITE		4
#define	TOPEN		5
#define	TCLOSE		6
#define	TWAIT		7
#define	TCREAT		8
#define	TLINK		9
#define	TUNLINK		10
#define	TEXEC		11
#define	TCHDIR		12
#define	TTIME		13
#define	TMKNOD		14
#define	TCHMOD		15
#define	TCHOWN		16
#define	TBREAK		17
#define	TSTAT		18
#define	TLSEEK		19
#define	TGETPID		20
#define	TMOUNT		21
#define	TUMOUNT		22
#define	TSETUID		23
#define	TGETUID		24
#define	TSTIME		25
#define	TPTRACE		26
#define	TALARM		27
#define	TFSTAT		28
#define	TPAUSE		29
#define	TUTIME		30
#define	TSTTY		31
#define	TGTTY		32
#define	TACCESS		33
#define	TNICE		34
/*		35*/
#define	TSYNC		36
#define	TKILL		37

#define	TCLOCAL		38

#define	TSETPGRP	39

#define	TCXENIX		40
#if 1
# define	TLOCKING	1
# define	TRDCHK		7
# define	TCHSIZE		10
# define	TFTIME		11
# define	TNAP		12
#else	/* not implemented in the abc1600 kernel */
# define	TSHUTDN		0
# define	TLOCKING	1
# define	TCREATSEM	2
# define	TOPENSEM	3
# define	TSIGSEM		4
# define	TWAITSEM	5
# define	TNBWAITSEM	6
# define	TRDCHK		7
# define	TSTKGROW	8
# define	TXTRACE		9
# define	TCHSIZE		10
# define	TFTIME		11
# define	TNAP		12
# define	TSDGET		13
# define	TSDFREE		14
# define	TSDENTER	15
# define	TSDLEAVE	16
# define	TSDGETV		17
# define	TSDWAITV	18
#endif

#define	TDUP		41
#define	TPIPE		42
#define	TTIMES		43
#define	TPROFIL		44
#define	TLOCK		45		/* sys5 */
#define	TSETGID		46
#define	TGETGID		47
#define	TSIGS		48
/*		49*/
/*		50*/
#define	TACCT		51
#define	TPHYS		52
/*		53*/
#define	TIOCTL		54
/*		55*/
#define	TMPX		56

#define	TPWBSYS		57
#define		TUNAME		0
#if 1
# define	TGPGP		1	/* get process group */
#endif
#define		TUSTAT		2
#define 	TSEMCTL		10
#define		TSEMGET		11
#define		TSEMOP		12
#define		TSHMCTL		13
#define		TSHMGET		14
#define		TSHMAT		15
#define		TSHMDT		16
#define		TMSGCTL		17
#define		TMSGGET		18
#define		TMSGSND		19
#define		TMSGRCV		20

/*		58*/
#define	TEXECE		59
#define	TUMASK		60
#define	TCHROOT		61
#define	TFCNTL		62
#define	TULIMIT		63

#endif _SYSCALL_
