/*
 *	types.h	1.1
 */

#ifndef _TYPES_
#define _TYPES_

typedef unsigned char	u_char;		/* BSD */
typedef unsigned short	u_short;	/* BSD */
typedef unsigned int	u_int;		/* BSD */
typedef unsigned long	u_long;		/* BSD */

typedef unsigned char	uchar;
typedef	unsigned short	ushort;

typedef	unsigned char   uchar_t;
typedef unsigned long	ulong_t;

typedef	struct		{ int r[1];} * physadr; 
typedef	long       	daddr_t;  	/* disk address */
typedef	char *		laddr_t;	/* core address */
typedef	char *     	caddr_t;  	/* core address PF000 */
typedef	unsigned short	ino_t;     	/* i-node number */
typedef	long       	time_t;   	/* a time */
typedef	short        	dev_t;    	/* device code */
typedef	long       	off_t;    	/* offset in file */
typedef char		cnt_t;
typedef long		paddr_t;
typedef unsigned short  mloc_t;		/* memory region location */
typedef short 		msize_t;
typedef unsigned short	bmsiz_t;
typedef unsigned short	bksiz_t;
typedef short		fd_t;
typedef	long		key_t;		/* Used in sem and msg operation */
typedef unsigned long	sema_t;

/*
 * selectors and constructor for device code
 */

#define	major(x)  	(short)(((unsigned)x>>8))
#define	minor(x)  	(short)(x&0377)
#define	makedev(x,y)	(dev_t)((x)<<8|(y))

/*
 * 'void' type compatibility
 */

#ifndef	M_VOID
 typedef int void;
# define M_VOID
#endif

#endif _TYPES_
