/*
 *	utsname.h
 */

#ifndef _UTSNAME_
#define _UTSNAME_

/*
 *	Structure returned by uname
 */

#ifdef ns32000
struct utsname {
	char	sysname[9];
	char	nodename[9];
	char	release[9];
	char	version[9];
	char	machine[9];
};
extern struct utsname utsname;

#else

struct utsname {
	char		sysname[9];
	char		nodename[9];
	char		release[9];
	char		version[9];
	unsigned short	sysorigin;	/* original supplier of Dnix system */
	unsigned short	sysoem;		/* OEM for this system */
	long		sysserial;	/* serial number for this system */
};
#endif

#endif _UTSNAME_
