/*

	dgr.c

	Subroutines for x35 esqape sequence generation

	Jan Tjernberg

	1984-06-06

*/
#ifdef ESCGR

int _elen;	/* length of escape sequence */
char *_ep;


char *
egen(cnt,ec,para)

register int cnt;
register char ec;	/* termination character */
int para;

{

  register int *pp;	/* parameter pointer */
  register char *res, *seqp;
  static char ebuf[100];

  extern char * _num();

  seqp = ebuf;
  *seqp++ = '\033';
  *seqp++ = ':';
  pp = &para;
  while ( cnt-- > 0 ) {
    res = _num(*pp++);
    while ( *res ) *seqp++ = *res++;
    *seqp++ = ';';
  }
  *(--seqp) = ec;
  _elen = seqp-ebuf+1;
  return(ebuf);
}

char *
_num(val)

register unsigned short val;

{

  static char buf_n_buf[15];
  register char *pek;

  pek = &buf_n_buf[14];
  *pek-- = '\0';
  while (val) {
    *pek-- = (val%((short)10))+'0';
    val /= ((short)10);
  }
  return(++pek);
}


#endif
