/*
 *	dutsname.h
 */

#ifndef _DUTSNAME_
#define _DUTSNAME_

/*
 *	Copyright 1984 Dataindustrier AB
 *
 *	Structure returned by dnix uname
 */

#ifdef ns32000
struct dutsname {
	char		sysname[9];
	char		nodename[9];
	char		release[9];
	char		version[9];
	char		machine[9];
	long		sysserial;	/* Serial number for this system */
	unsigned long	nodeidh;	/* Numerical nodename */
	unsigned long	nodeidl;
	char		osname[17];		/* File name of booted os */
};

#else

struct dutsname {
	char		sysname[9];
	char		nodename[9];
	char		release[9];
	char		version[9];
	unsigned short	sysorigin;	/* original supplier of Dnix system */
	unsigned short	sysoem;		/* OEM for this system */
	long		sysserial;	/* serial number for this system */
	unsigned long	nodeidh;	/* Numerical nodename */
	unsigned long	nodeidl;
	char		machine[9];	/* Type of computter */
	char		osname[17];	/* File name of booted os */
};
#endif

#endif _DUTSNAME_
