/*
 *	log.h
 */

#ifndef _LOG_
#define _LOG_

/*
 *	Copyright 1984 Dataindustrier AB
 *
 *	Severity codes for logging using F_LOGC
 */

#define E_INFO		0	/* Information - no action needed        */
#define E_WARNING	64	/* Warning - no immediate action needed  */
#define E_ERROR		128	/* Error - corrective action needed      */
#define E_HALT		192	/* Fatal error - system should be halted */
#define E_PANIC		255	/* Panic - halt os                       */

#endif _LOG_
