/*
 *	signal.h
 */

#ifndef _SIGNAL_
#define _SIGNAL_

#define	SIGHUP	1	/* hangup					*/
#define	SIGINT	2	/* interrupt (rubout)				*/
#define	SIGQUIT	3	/* quit						*/
#define	SIGILL	4	/* illegal instruction (not reset when caught)	*/
#define	SIGTRAP	5	/* trace trap (not reset when caught)		*/
#define	SIGIOT	6	/* IOT instruction				*/
#define	SIGABRT	6	/* abort signal -- new Unix standard		*/
#define	SIGEMT	7	/* EMT instruction				*/
#define	SIGFPE	8	/* floating point exception			*/
#define	SIGKILL	9	/* kill (cannot be caught or ignored)		*/
#define	SIGBUS	10	/* bus error					*/
#define	SIGSEGV	11	/* segmentation violation			*/
#define	SIGSYS	12	/* bad argument to system call			*/
#define	SIGPIPE	13	/* write on a pipe with no one to read it	*/
#define	SIGALRM	14	/* alarm clock					*/
#define	SIGTERM	15	/* software termination signal from kill	*/
#define	SIGUSR1	16	/* user defined signal 1			*/
#define	SIGUSR2	17	/* user defined signal 2			*/
#define	SIGCHAR	17	/* signal from tty driver if in RAW and CBREAK	*/

#define	NSIG	18

#ifndef _ASSEMBLER_

extern int (*signal())();

# define SIG_DFL (int (*)())0

# ifdef	lint
#  define SIG_IGN (int (*)())0
# else
#  define SIG_IGN (int (*)())1
# endif

#endif _ASSEMBLER_

#endif _SIGNAL_
