/*
 *	file.h
 */

#ifndef _FILE_
#define _FILE_

/*
 *	Symbolic constants for the "lseek" function
 */

#ifndef L_SET
# define L_SET		0	/* Set file pointer to "offset" */
# define L_INCR		1	/* Set file pointer to current plus "offset" */
# define L_XTND		2	/* Set file pointer to EOF plus "offset" */
#endif

/*
 *	Symbolic constants for the "access" function
 */

#ifndef R_OK
# define R_OK	4	/* Test for "Read" permission */
# define W_OK	2	/* Test for "Write" permission */
# define X_OK	1	/* Test for "Execute" (Search) Permission */
# define F_OK	0	/* Test for existence of file */
#endif

#endif _FILE_
