/*
 *	time.h	1.1
 */

#ifndef _TIME_
#define _TIME_

struct tm {	/* see ctime(3) */
	int	tm_sec;		/* time of day, seconds */
	int	tm_min;		/* time of day, minutes */
	int	tm_hour;	/* time of day, hours (24 hour clock) */
	int	tm_mday;	/* day of month (1-31) */
	int	tm_mon;		/* month of year (0-11) */
	int	tm_year;	/* year - 1900 */
	int	tm_wday;	/* day of week (Sunday = 0) */
	int	tm_yday;	/* day of year (0-365) */
	int	tm_isdst;	/* non-0 if DST in effect */
};

extern	struct tm *gmtime(), *localtime();
extern	char *asctime(), *ctime();

#endif _TIME_
