/*
 *	timeb.h	1.1
 */

#ifndef _TIMEB_
#define _TIMEB_

/*
 * Structure returned by ftime system call
 */

struct timeb {
	time_t	time;		/* time, seconds since the epoch */
	unsigned short	millitm;/* 1000 msec of additional accuracy */
	short	timezone;	/* timezone, minutes west of GMT */
	short	dstflag;	/* daylight savings when appropriate? */
};

#endif _TIMEB_
